
CoCoALib - Support #1276

Release 0.99650

29 Apr 2019 21:03 - John Abbott

Status: Closed Start date: 29 Apr 2019

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Various Estimated time: 0.00 hour

Target version: CoCoALib-0.99650 November 2019 Spent time: 6.55 hours

Description

Description

Everything related to making a CoCoALib release:

Redmine Roadmap: close or postpone issue

Redmine Release issues: check percentages, check timings

Finalize

make veryclean; make (full make, with all tests and examples and CoCoA-5..)

cd src/tests/; make valgrind

cd src/CoCoA-5; make ManExamples

~/shell-scripts/cocoalib-cvs-snapshot

upload examples

upload manual

update webpage

publish manual (arXiv? ResearchGate?)

close release on Redmine

--> send message to cocoa-announcements

--> send message to facebook page

Related issues:

Related to CoCoALib - Support #1338: Release CoCoALib-0.99700 Closed 15 Oct 2019

Related to CoCoALib - Support #1149:  Release: CoCoALib-0.99600 (together wit... Closed 17 Jan 2018 06 Aug 2018

History

#1 - 29 Apr 2019 21:05 - John Abbott

List of principal changes made: 19th november 2019

NO LONGER C++03 compatible!  We are moving towards C++14 (#891, ..)

Removed ThreadsafeCounter (#1259)

added new functions:

RingElems(ring, string) -- converts string into list of RingElem (#1332)

constructor of PPVector from vector of RingElem (#1347)

primorial -- #1301

FixedDivisor -- #1297

HasPositiveGrading -- #1209

improved Primary Decompositon (zero-dim) slow cases -- #1105

changed names iroot to FloorRoot, and IsExactIroot to IsExactFloorRoot

added new syntax with string for NewQuotientRing #1330 and PolyAlgebraHom #1329 (related to RingElems)

corrected bug in CoprimeFactorBasis (when an arg is negative; actually fixed in 0.99610)

renamed files:

SparsePolyOps-IdealZeroDim --> SparsePolyOps-ideal-ZeroDim

SparsePolyOps-IdealOfPoints --> SparsePolyOps-ideal-points

SparsePolyOps-MonomialIdeal --> SparsePolyOps-ideal-monomial

obsolescent:

NewPolyRing(ring, long) -- now user must choose the names for the indeterminates (#1223)

Add to this list as we do things (or remember things we have already done)

see also https://cocoa.dima.unige.it/redmine/projects/cocoalib/issues?query_id=38

The changes are relative to 0.99600.
#2 - 15 Oct 2019 13:47 - Anna Maria Bigatti

- Subject changed from Release 0.99700 to Release 0.99650

- Status changed from New to In Progress

- Target version changed from CoCoALib-0.99700 to CoCoALib-0.99650 November 2019

- % Done changed from 0 to 10

#3 - 15 Oct 2019 13:51 - Anna Maria Bigatti

- Related to Support #1338: Release CoCoALib-0.99700 added

#4 - 15 Oct 2019 13:52 - Anna Maria Bigatti

- Related to Support #1149:  Release: CoCoALib-0.99600 (together with CoCoA-5.2.4) added

#5 - 30 Oct 2019 11:08 - John Abbott

FWIW I have compiled CoCoALib on my old "netbook" which is 32-bit.  All tests passed.

#6 - 31 Oct 2019 15:46 - Anna Maria Bigatti

- Description updated

#7 - 31 Oct 2019 16:24 - Anna Maria Bigatti

Valgrind OK

cd src/tests/; make valgrind

....

==10100==    definitely lost: 0 bytes in 0 blocks

#8 - 31 Oct 2019 18:34 - Anna Maria Bigatti

- % Done changed from 10 to 40

 cd src/CoCoA-5; make ManExamples

done, just the expected errors   

Valgrind done on linux too.

#9 - 19 Nov 2019 16:49 - Anna Maria Bigatti

- Status changed from In Progress to Closed

- % Done changed from 40 to 100
